# packet_file_header Struct Reference
[NPF structures and definitions]

Header of a libpcap dump file. More...

`#include <Packet.h>`

## Data Fields
UINT | magic
| Libpcap magic number.
USHORT | version_major
| Libpcap major version.
USHORT | version_minor
| Libpcap minor version.
UINT | thiszone
| Gmt to local correction.
UINT | sigfigs
| Accuracy of timestamps.
UINT | snaplen
| Length of the max saved portion of each packet.
UINT | linktype
| Data link type (DLT_*). See win_bpf.h for details.

## Detailed Description

Header of a libpcap dump file.

Used when a driver instance is set in dump mode to create a libpcap-compatible file.

Definition at line 106 of file Packet.h.

## Field Documentation

UINT linktype

Data link type (DLT_*). See win_bpf.h for details.

Definition at line 114 of file Packet.h.

UINT magic

Libpcap magic number.

Definition at line 108 of file Packet.h.

UINT sigfigs

Accuracy of timestamps.

Definition at line 112 of file Packet.h.

UINT snaplen

Length of the max saved portion of each packet.

Definition at line 113 of file Packet.h.

UINT thiszone

Gmt to local correction.

Definition at line 111 of file Packet.h.

USHORT version_major

Libpcap major version.

Definition at line 109 of file Packet.h.

USHORT version_minor

Libpcap minor version.

Definition at line 110 of file Packet.h.

The documentation for this struct was generated from the following file:

- Packet.h

documentation. Copyright (c) 2002-2005 Politecnico di Torino. Copyright (c) 2005-2009 CACE Technologies. All rights reserved.